from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.frame import XModel

@runtime_checkable
class XChartDocument(XModel, Protocol):
    def getTitle(self) -> XShape: ...
    def getSubTitle(self) -> XShape: ...
    def getLegend(self) -> XShape: ...
    def getArea(self) -> XPropertySet: ...
    def getDiagram(self) -> XDiagram: ...
    def setDiagram(self, xDiagram: XDiagram) -> None: ...
    def getData(self) -> XChartData: ...
    def attachData(self, xData: XChartData) -> None: ...
